<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Validation Rizki Hernanda</title>
</head>
<body style="background-color: aqua;">
    
</body>
</html>


<form onsubmit="test()">
    <div id="pembungkusValidation">
        <h1 class="title">Validation</h1>
        <label for="username"><span class="nama">Nama: </span><br>
            <input type="text" class="inp" id="username" name="username" required maxlength="30" autocomplete="0">
        </label>

        <label for="email"><span class="nama">Email:</span><br>
            <input type="email" class="inp" id="email" name="email" autocomplete="0" required>
        </label>

        <label for="jamBerangkat"><span class="nama">Jam Keberangkatan:</span><br>
            <input type="time" class="inp" id="jamBerangkat" name="jamKeberangkatan" autocomplete="0" min="00.00"
                max="23.59" required>
        </label>

        <label for="tujuan"><span class="nama">Tujuan:</span><br>
            <input type="text" class="inp" id="tujuan" name="tujuan" autocomplete="0" required>
        </label>

        <label for="jumlahTiket"><span class="nama">Jumlah Tiket:</span><br>
            <input type="number" class="inp" id="jumlahTiket" name="jumlahTiket" autocomplete="0" required min="0"
                max="10">
        </label>
        <div class="button">
            <label for="submit">
                <input id="submit" type="submit">
            </label>
            <label for="reset">
                <input id="reset" type="reset">
            </label>
        </div>

    </div>

    <div id="tampilan">
        <p></p>
    </div>
</form>
<script>
function test() {

    let username = document.getElementById("username").value;
    mail = document.getElementById("email").value;
    berangkat = document.getElementById("jamBerangkat").value;
    tujuan = document.getElementById("tujuan").value;
    tiket = document.getElementById("jumlahTiket").value;

    let paragraf = document.createElement("p");

    event.preventDefault()
    paragraf.innerHTML = "Nama Pelanggan: " + username + '<br>' + "Email: " + mail + '<br>' + "Jam Berangkat: " + berangkat + '<br>' + "Tujuan: " + tujuan + '<br>' + "Tiket: " + tiket
    document.getElementById("tampilan").appendChild(paragraf);
} 

</script>